org.apache.tinkerpop.gremlin.server

## Class KdcFixture

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.KdcFixture

-     public class KdcFixture
      extends Object

  This class is derived from the following classes from https://github.com/apache/directory-kerby/blob/kerby-all-1.0.0-RC2: - org.apache.kerby.kerberos.kerb.server.TestKdcServer - org.apache.kerby.kerberos.kerb.server.KdcTestBase - org.apache.kerby.kerberos.kerb.server.LoginTestBase See also: gremlin-server/src/main/static/NOTICE
  Author:
    Marc de Lignie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KdcFixture(String moduleBaseDir)`
    `KdcFixture(String moduleBaseDir, String kdcHostName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `createPrincipal(String principal)`
    `static void` | `main(String[] args)`
    `void` | `setUp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KdcFixture

          public KdcFixture(String moduleBaseDir)

    - #### KdcFixture

          public KdcFixture(String moduleBaseDir,
                            String kdcHostName)

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### close

          public void close()

    - #### createPrincipal

          public void createPrincipal(String principal)
                               throws org.apache.kerby.kerberos.kerb.KrbException

      Throws:
        `org.apache.kerby.kerberos.kerb.KrbException`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.